iob_prefetch(3)

NAME
iob_prefetch - prefetch data for I/O batch

SYNTAX
#include <libowfat/iob.h>

void iob_prefetch(io_batch* b,uint64 n);

DESCRIPTION
iob_prefetch makes sure the next n bytes are in memory.

This is useful when serving large files over the network concurrently. Prefetching the data can then reduce hard disk head movement and enhance throughput.

SEE ALSO
iob_reset(3), iob_send(3), iob_addbuf(3), iob_adds_free(3), iob_addfile(3)